Bug 11425 - EXA on GF6200/AGP and different "MigrationHeuristic" schemas
EXA on GF6200/AGP and different "MigrationHeuristic" schemas
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/nouveau
unspecified
x86 (IA32) Linux (All)
: medium normal
Assigned To: Nouveau Project
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 21:31 UTC by Andrew Randrianasulu
Modified: 2007-09-30 12:19 UTC (History)
0 users

See Also:


Attachments
Mozilla with corrupted page inside (185.05 KB, image/jpeg)
2007-06-29 21:33 UTC, Andrew Randrianasulu
no flags Details
text problem in gkrellm (161.25 KB, image/jpeg)
2007-06-29 21:36 UTC, Andrew Randrianasulu
no flags Details
my working xorg.conf (4.98 KB, text/plain)
2007-06-29 21:37 UTC, Andrew Randrianasulu
no flags Details
current xorg.0.log (81.14 KB, text/plain)
2007-06-29 21:38 UTC, Andrew Randrianasulu
no flags Details
crash log with Option "MigrationHeuristic" "smart" (82.52 KB, application/octet-stream)
2007-06-29 21:43 UTC, Andrew Randrianasulu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Randrianasulu 2007-06-29 21:31:20 UTC
hardware:

lspci -v
01:00.0 VGA compatible controller: nVidia Corporation GeForce 6200 (rev a1) (prog-if 00 [VGA])
        Subsystem: ASUSTeK Computer Inc.: Unknown device 81e1
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 20
        Memory at de000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Memory at dd000000 (32-bit, non-prefetchable) [size=16M]
        Expansion ROM at dfde0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0

lspci -vn
01:00.0 Class 0300: 10de:0221 (rev a1)
        Subsystem: 1043:81e1
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 20
        Memory at de000000 (32-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Memory at dd000000 (32-bit, non-prefetchable) [size=16M]
        Expansion ROM at dfde0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [44] AGP version 3.0

software:
kernel 2.6.21.5
drm git up to and include a27af4c4a665864df09123f177ca7269e48f6171
mesa git 5e4a0f42f243cd5fbc8718660d78705e8c70808f
xf86-video-nouveau git e81c9a29e6d1c6573892df8601f0361c2b09c659

if i set  Option "MigrationHeuristic" in my xorg.conf to "always" (default) - i have screen corruption even on Mozilla start. And can easily see rendering problems after scroll some pages inside mozilla up and down.

if i set this option to "greedy" - i have stable desktop, no problems with mozilla (i can load tens pages with heavy graphics usage). but X still crashes at some point. Also translucency changes not very smooth.

if i set option  "MigrationHeuristic" to "smart" - i have nice looking and fast desktop. And memory usage is lowest, according to gkrellm. But if i load many pages in mozilla , heavy loaded with small pictures - i can see some (text rendering) problems in gkrellm window and then crash or freeze. (acpi poweroff work)

and question: as i can see in xorg.0.log and in sources - nouveau use half available videoram for EXA acceleration. May be option like FBtexPercent will be useful there?

(screenshots, crash logs and xorg.conf follow shortly ...)
Comment 1 Andrew Randrianasulu 2007-06-29 21:33:46 UTC
Created attachment 10512 [details]
Mozilla with corrupted page inside

with default "MigrationHeuristic".
Comment 2 Andrew Randrianasulu 2007-06-29 21:36:52 UTC
Created attachment 10513 [details]
text problem  in gkrellm

screenshot taken just before crash/freeze. You should open _really_ many pages with _really_ many pics!
Comment 3 Andrew Randrianasulu 2007-06-29 21:37:49 UTC
Created attachment 10514 [details]
my working xorg.conf
Comment 4 Andrew Randrianasulu 2007-06-29 21:38:50 UTC
Created attachment 10515 [details]
current xorg.0.log
Comment 5 Andrew Randrianasulu 2007-06-29 21:43:34 UTC
Created attachment 10516 [details]
crash log with Option "MigrationHeuristic" "smart"
Comment 6 Matthieu CASTET 2007-06-30 01:43:53 UTC
With a NV17 and default EXA mode, I manage to get screen corruption and after some time X crash.

So it seems this problem is reproductible also on nv17.
Comment 7 Andrew Randrianasulu 2007-06-30 23:04:28 UTC
And little more on this.

If i have added option "EXANoDownloadFromScreen" "1" - i have stable, and acceptable-fast desktop. (switch to text console takes seconds, but in graphics mode mozilla and other apps runs fast). 

If i use "EXANoDownloadFromScreen" "1" and default "MigrationHeuristic" "always" - i have no screen corruption, but massive, very noticeable slowdown.

Comment 8 Ben Skeggs 2007-07-01 02:14:15 UTC
There's some changes in latest git that may fix this, they correct all the rendering issues I see here (C51).
Comment 9 Matthieu CASTET 2007-07-01 04:26:37 UTC
rendering is correct, but on iceape (seamonkey on debian), I got hard lockup when trying to attach a file in a mail.
Comment 10 Andrew Randrianasulu 2007-07-01 07:09:43 UTC
ok, now using xf86-video-nouveau git, commit dff1cce299df636813e8f85109f4556f520620c0

default EXA - no problems so far! Stable and fast! Thanks for fixing this!
Comment 11 Stephane Marchesin 2007-08-31 03:39:11 UTC
So is it fixed ? Can we close the bug now ?
Comment 12 Andrew Randrianasulu 2007-08-31 03:41:55 UTC
(In reply to comment #11)
> So is it fixed ? Can we close the bug now ?
> 

yes